v1/shift_presetsCopy Pagepost https://shyftplan.com/api/v1/shift_presetsCreate a shift preset. Note that shift presets have to be enabled first in the company profile of the shyftplan account.Query Paramscompany_idint32required≥ 1ID of a shyftplan account.tag_ids[]array of int32sFilter an array of Tag IDtag_ids[]ADD int32Body Paramsuser_emailstringrequiredThis is a testing sandbox. We advise against using credentials for production accounts here. E-mail address of the API user.authentication_tokenstringrequiredThis is a testing sandbox. We advise against using credentials for production accounts here. Authentication token - can be fetched by login action.namestringrequiredName for the shift preset (maximum 256 characters)short_namestringShortName for ShiftPreset (max 3 characters)starts_atdate-timerequiredStart date for Shift Presetends_atdate-timerequiredEnd date for Shift Presetbreak_timeint32requiredBreak duration in minutescolorstringrequiredColor (HEX format, e.g. #FF00FF). Default colors are: #cddbfc, #bcc5d0, #ffd5f6, #e0eafc, #b6b7ba, #d8c7fc, #b8d0d9, #ebcefc, #ffdee9, #d4d9eb, #dbd8dc, #cddbb5, #f7dbad, #d3caba, #f8e6d1, #c4e0c8, #e2d6c9, #c2dcda, #f1ccb7, #e1bdbe - one of these is used if an invalid value is submittedmetadatastringShiftPreset metadata as jsonResponses 201Successfully created 400Company not found\n Tag not found\n Evaluation Tag not found 403forbidden 422The request is invalid\n Incorrect tag context\n Invalid company_id\n Incorrect evaluation tag context\n Shift Tags feature is not enabled\n Shift preset cannot exceed more than 24 hours\n end_date cannot be before start_dateUpdated about 2 months ago